FamilyInstanceByPoint slows down the script enormously

I am trying to place a big amount of different family instances by coordinates. Everything goes well until it comes to placing the elements in the revit document. The hindering node seems to be the FamilyInstanceByPoint Node. I tried to replace the node by a Python Script, now the performance is better, but the instances are not placed.
Also the first time I run the script it normally takes over 10 minutes, the second run is faster. I assume Revit loads the family instance each time again or any other suggestions how to deal with this bad performance? Any help would be great!
Please find attached an overview of my dynamo file…

here is the python script

import clr
clr.AddReference(‘ProtoGeometry’)
from Autodesk.DesignScript.Geometry import *
import clr
clr.AddReference(‘ProtoGeometry’)
#from Autodesk.DesignScript.Geometry import *
#clr.AddReference(‘RevitAPI’)
#from Autodesk.Revit.DB import *

clr.AddReference(“RevitNodes”)
import Revit
clr.ImportExtensions(Revit.Elements)
#clr.ImportExtensions(Revit.GeometryConversion)

fi_list =

points = (IN[0])
famtype = (IN[1])

counter = 0

for point in points:
newobj = Revit.Elements.FamilyInstance.ByPoint(famtype,point)
#newobj = doc.Create.NewFamilyInstance(point.ToXyz(),famtype)
fi_list.append(newobj)

OUT = fi_list

So this may be late in the day, but if you’re still interested, or for anyone else passing this way:

If creating individual family instances is slow, then you might look at using the Revit API call NewFamilyInstances2, which allows batch creation of family instances. Use from Python, unless you find that someone else has packaged it in a node already…